Skip to main content
GET
/
search
/
{id}
/
results
/
leaks
/
{source}
Get leak source results
curl --request GET \
  --url https://api.osint.ly/search/{id}/results/leaks/{source} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "source": {
      "name": "Snusbase",
      "key": "snusbase",
      "status": "success",
      "logo": null,
      "description": null
    },
    "pagination": {
      "page": 1,
      "page_size": 100,
      "total_pages": 3,
      "has_next_page": true
    },
    "template": {
      "informations": [],
      "stats": [],
      "additional": []
    },
    "results": [
      {
        "key": "snusbase-collection-1",
        "items": [
          {
            "label": "Email",
            "value": "[email protected]",
            "copy": true,
            "isdate": false,
            "islink": false
          }
        ]
      }
    ],
    "count": 214
  },
  "meta": {
    "environment": "production",
    "timestamp": "2026-05-27T12:00:32.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Search UUID

source
string
required

Leak source key

Example:

"snusbase"

Query Parameters

page
integer

Page number for paginated leak sources

Required range: x >= 1

Response

Leak source items

data
object
required
meta
object
required